Main Page Groups Namespaces

# retype.h File Reference

## Namespaces

namespace | SigC

## Classes

struct | SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>
struct | SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>
struct | SigC::retype_slot_functor<T_functor, void, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>

## Functions

template <class T_action, class T_functor, class T_return, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7> void | visit_each (const T_action& _A_action, const retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>& _A_target)
template <class T_return, class T_ret> Slot0<T_return> | retype (const Slot0<T_ret>& _A_slot)
template <class T_return, class T_arg1, class T_ret, class T_type1> Slot1<T_return, T_arg1> | retype (const Slot1<T_ret, T_type1>& _A_slot)
template <class T_return, class T_arg1, class T_arg2, class T_ret, class T_type1, class T_type2> Slot2<T_return, T_arg1, T_arg2> | retype (const Slot2<T_ret, T_type1, T_type2>& _A_slot)
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_ret, class T_type1, class T_type2, class T_type3> Slot3< T_return, T_arg1, T_arg2, T_arg3 > | retype (const Slot3<T_ret, T_type1, T_type2, T_type3>& _A_slot)
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4> Slot4< T_return, T_arg1, T_arg2, T_arg3, T_arg4 > | retype (const Slot4<T_ret, T_type1, T_type2, T_type3, T_type4>& _A_slot)
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5> Slot5< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | retype (const Slot5<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5>& _A_slot)
template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6> Slot6< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | retype (const Slot6<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6>& _A_slot)

template<class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7> Slot7< T_return, T_arg1, T_arg2,
T_arg3, T_arg4, T_arg5, T_arg6,
T_arg7 >

retype (const Slot7<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>& _A_slot)

## Function Documentation

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
Slot7<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7> retype | ( | const Slot7<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6>
Slot6<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6> retype | ( | const Slot6<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5>
Slot5<T_return, T_arg1,T_arg2,T_arg3,T_arg4,T_arg5> retype | ( | const Slot5<T_ret, T_type1, T_type2, T_type3, T_type4, T_type5>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_ret, class T_type1, class T_type2, class T_type3, class T_type4>
Slot4<T_return, T_arg1,T_arg2,T_arg3,T_arg4> retype | ( | const Slot4<T_ret, T_type1, T_type2, T_type3, T_type4>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_ret, class T_type1, class T_type2, class T_type3>
Slot3<T_return, T_arg1,T_arg2,T_arg3> retype | ( | const Slot3<T_ret, T_type1, T_type2, T_type3>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_ret, class T_type1, class T_type2>
Slot2<T_return, T_arg1,T_arg2> retype | ( | const Slot2<T_ret, T_type1, T_type2>& | _A_slot | ) | `[inline]`

template <class T_return, class T_arg1, class T_ret, class T_type1>
Slot1<T_return, T_arg1> retype | ( | const Slot1<T_ret, T_type1>& | _A_slot | ) | `[inline]`

template <class T_return, class T_ret>
Slot0<T_return> retype | ( | const Slot0<T_ret>& | _A_slot | ) | `[inline]`

template <class T_action, class T_functor, class T_return, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
void visit_each | ( | const T_action& | _A_action,
|  | const retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>& | _A_target
| ) |